Bug 588432 - [abrt] crash in exaile-0.3.1.1-1.fc12: cover.py:573:zoom_in_clicked:AttributeError: 'CoverWindow' object has no attribute 'image_ratio'
Summary: [abrt] crash in exaile-0.3.1.1-1.fc12: cover.py:573:zoom_in_clicked:Attribute...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: exaile (Show other bugs)
(Show other bugs)
Version: 12
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:82b72ca8
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-03 17:46 UTC by Fabio
Modified: 2010-12-03 15:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 15:08:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (493 bytes, text/plain)
2010-05-03 17:46 UTC, Fabio
no flags Details

Description Fabio 2010-05-03 17:46:00 UTC
abrt 1.0.9 detected a crash.

architecture: x86_64
cmdline: python /usr/lib/python2.6/site-packages/exaile/exaile.py --datadir=/usr/share/exaile/data --startgui
component: exaile
executable: /usr/lib/python2.6/site-packages/exaile/exaile.py
kernel: 2.6.32.11-99.fc12.x86_64
package: exaile-0.3.1.1-1.fc12
reason: cover.py:573:zoom_in_clicked:AttributeError: 'CoverWindow' object has no attribute 'image_ratio'
release: Fedora release 12 (Constantine)

backtrace
-----
cover.py:573:zoom_in_clicked:AttributeError: 'CoverWindow' object has no attribute 'image_ratio'

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/exaile/xlgui/cover.py", line 573, in zoom_in_clicked
    self.image_ratio *= self.ratio
AttributeError: 'CoverWindow' object has no attribute 'image_ratio'

Local variables in innermost frame:
widget: <gtk.ToolButton object at 0x2f2ed70 (GtkToolButton at 0x7845a20)>
self: <xlgui.cover.CoverWindow object at 0x7ac7cd0>

Comment 1 Fabio 2010-05-03 17:46:07 UTC
Created attachment 411080 [details]
File: backtrace

Comment 2 Fedora Update System 2010-06-29 16:34:27 UTC
exaile-0.3.2.0-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/exaile-0.3.2.0-1.fc12

Comment 3 Fedora Update System 2010-06-30 15:14:56 UTC
exaile-0.3.2.0-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update exaile'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/exaile-0.3.2.0-1.fc12

Comment 4 Bug Zapper 2010-11-03 15:44:50 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2010-12-03 15:08:39 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.